summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh19
1 files changed, 15 insertions, 4 deletions
diff --git a/build.sh b/build.sh
index 878aa45ce3..9b4d4a16dc 100755
--- a/build.sh
+++ b/build.sh
@@ -63,7 +63,8 @@ pre_build()
-DVIEWER_LOGIN_CHANNEL:STRING="$login_channel" \
-DINSTALL_PROPRIETARY:BOOL=ON \
-DLOCALIZESETUP:BOOL=ON \
- -DPACKAGE:BOOL=ON
+ -DPACKAGE:BOOL=ON \
+ -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE
end_section "Pre$variant"
}
@@ -113,11 +114,15 @@ then
if [ -x "$top/../buildscripts/hg/bin/build.sh" ]
then
exec "$top/../buildscripts/hg/bin/build.sh" "$top"
+ elif [ -r "$top/README" ]
+ then
+ cat "$top/README"
+ exit 1
else
cat <<EOF
This script, if called in a development environment, requires that the branch
independent build script repository be checked out next to this repository.
-This repository is located at http://hg.lindenlab.com/parabuild/buildscripts
+This repository is located at http://hg.secondlife.com/buildscripts
EOF
exit 1
fi
@@ -222,7 +227,10 @@ do
fi
else
begin_section "Build$variant"
- build "$variant" "$build_dir" 2>&1 | tee -a "$build_log" | grep --line-buffered "^##teamcity"
+ build "$variant" "$build_dir" > "$build_log" 2>&1
+ begin_section Tests
+ grep --line-buffered "^##teamcity" "$build_log"
+ end_section Tests
if `cat "$build_dir/build_ok"`
then
echo so far so good.
@@ -251,13 +259,15 @@ then
begin_section "Build$variant"
build_dir=`build_dir_$arch $variant`
build_dir_stubs="$build_dir/win_setup/$variant"
- tee -a $build_log < "$build_dir/build.log" | grep --line-buffered "^##teamcity"
if `cat "$build_dir/build_ok"`
then
echo so far so good.
else
record_failure "Parallel build of \"$variant\" failed."
fi
+ begin_section Tests
+ tee -a $build_log < "$build_dir/build.log" | grep --line-buffered "^##teamcity"
+ end_section Tests
end_section "Build$variant"
done
end_section WaitParallel
@@ -278,6 +288,7 @@ then
succeeded=$build_coverity
else
upload_item installer "$package" binary/octet-stream
+ upload_item quicklink "$package" binary/octet-stream
# Upload crash reporter files.
case "$last_built_variant" in